package org.seasar.jsf.template.impl;

import javax.faces.component.UIComponent;

import org.seasar.jsf.component.UIEntityReferenceNode;
import org.w3c.dom.EntityReference;
import org.w3c.dom.Node;

/**
 * @author higa
 *  
 */
public class UIEntityReferenceNodeFactory extends AbstractComponentFactory {

	/**
	 * @param node
	 */
	public UIEntityReferenceNodeFactory(Node node) {
		super(node);
	}

	/**
	 * @see org.seasar.jsf.template.ComponentFactory#createComponent()
	 */
	public UIComponent createComponent() {
		return new UIEntityReferenceNode((EntityReference) getNode());
	}
}